This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 445143 - Review Request: libcaptury - A library for X11/OpenGL video capturing framework
Review Request: libcaptury - A library for X11/OpenGL video capturing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 445142
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 13:41 EDT by Shawn Starr
Modified: 2008-07-23 03:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 18:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2008-05-04 13:41:19 EDT
License of code is GPLv2+

Spec file: http://www.sh0n.net/spstarr/fedora/libcaptury/result/libcaptury.spec

mock results:  http://www.sh0n.net/spstarr/fedora/libcaptury/result/ 

rpmlint shows warnings for missing documentation for -devel and (none
available).

Please validate.
Comment 1 Shawn Starr 2008-05-04 21:05:06 EDT
libcapseo BZ #445142 is a dependency for this package

Also note, Captury is used by the Kwin window manager, there is a plugin to do
video recording OpenGL. This will give us that support for the plugin.
Comment 2 Shawn Starr 2008-05-05 20:14:20 EDT
Also changes made here to mimic BZ 445142.

Spec file: http://www.sh0n.net/spstarr/fedora/libcaptury/result/libcaptury.spec

mock results:  http://www.sh0n.net/spstarr/fedora/libcaptury/result/ 
Comment 3 Rex Dieter 2008-05-19 15:05:54 EDT
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=618188
Comment 4 Rex Dieter 2008-05-19 15:12:30 EDT
$ rpmlint *.rpm
libcaptury.x86_64: W: incoherent-version-in-changelog 0.3.0-1.20080323gitcca4e3c
0.3.0-0.1.20080323gitcca4e3c.fc10
libcaptury.src: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 32)
libcaptury-debuginfo.x86_64: W: filename-too-long-for-joliet
libcaptury-debuginfo-0.3.0-0.1.20080323gitcca4e3c.fc10.x86_64.rpm
libcaptury-devel.x86_64: W: no-documentation

mostly harmless.

builds: ok
naming: ok
scriptlets: ok
source: ok
license: ok

APPROVED.
Comment 5 Shawn Starr 2008-05-27 15:54:00 EDT
New Package CVS Request
=======================
Package Name: libcaptury
Short Description: A library for X11/OpenGL video capturing framework
Owners: spstarr
Branches: F-9
InitialCC: spstarr
Cvsextras Commits: yes
Comment 6 Shawn Starr 2008-05-27 16:04:35 EDT
New Package CVS Request
=======================
Package Name: libcaptury
Short Description: A library for X11/OpenGL video capturing framework
Owners: spstarr
Branches: F-8, F-9
InitialCC: spstarr
Cvsextras Commits: yes
Comment 7 Tom "spot" Callaway 2008-05-27 16:42:08 EDT
cvs done.
Comment 8 Fedora Update System 2008-07-18 16:35:09 EDT
libcaptury-0.3.0-0.1.20080323gitcca4e3c.fc9,libcapseo-0.2.0-0.1.20080603gita6ec446.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-07-23 03:20:38 EDT
libcaptury-0.3.0-0.1.20080323gitcca4e3c.fc9, libcapseo-0.2.0-0.1.20080603gita6ec446.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.